Subject: Re: [PATCH 5/5] PCI fixes for the MPC8641 Rev 2.0 silicon and Rev 1.02hardware

From: Scott Wood <[email-masked]>
Date: Fri, 18 May 2007 13:23:56 -0500

Jon Loeliger wrote:
> First of all, I wanted to get away from the notion of calling
> anything a "jumper".  What I said to you was to predicate the
> clause based on some arbitrary conditional, not just some "jumper
> setting."

Yes, I like the "hwoption" name better.

> Second, I never came anywhere near the syntax above.
> 
> Third, I am pretty sure we've always really been talking
> about a DTC enhancement to selectively add regions to the
> DTB in much the same way as if one had said:
> 
>     #if <compile-time-conditional>
>         {
>             <use this node or property snippet>
>         }
>     #else
>         {
>             <use this other snippet>
> 
>         }
>     #endif

No, we were pretty much always talking about a run-time thing.

Compile-time would just give you a more convenient way of generating 
multiple dtbs; it wouldn't address the root problem of combinatorial 
explosion with several independent options.  Even when the number of 
alternatives isn't high, it's much nicer to the user to be able to just 
type a command into u-boot (or better yet, have it be autodetected) when 
an option changes than to have to rebuild and install a new dtb.

-Scott